Issue 120683 - new cmd line parameter -conversionmode to support special optimizations
new cmd line parameter -conversionmode to support special optimizations
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: jsc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 11:26 UTC by jsc
Modified: 2012-10-10 07:22 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
new cmd arg for conversion mode (17.36 KB, patch)
2012-09-12 08:08 UTC, jsc
hdu: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2012-08-23 11:26:40 UTC
Document conversion that runs in hidden mode, means no GUI and no user interaction can be often optimized.  For this purpose a new conversion mode is introduced that can be triggered via a new commandline parameter "-conversionmode".

The new mode can be checked globally and can be used everywhere where further optimizations are possible if the office runs in this mode. 

More information follows ...
Comment 1 jsc 2012-09-12 08:08:42 UTC
Created attachment 79422 [details]
new cmd arg for conversion mode

add patch
Comment 2 jsc 2012-09-12 08:11:25 UTC
Comment on attachment 79422 [details]
new cmd arg for conversion mode

hdu, can you please review
Comment 3 hdu@apache.org 2012-09-12 08:27:25 UTC
Comment on attachment 79422 [details]
new cmd arg for conversion mode

The idea and the patch make sense, as this is one step beyond the headless mode.
Comment 4 jsc 2012-09-12 08:29:02 UTC
Additional information:

1. new cmd line option "-conversionmode". This option enables
automatically "headless" mode and can be seen as an extension to that.
"headless" is already an extension to "invisible". We can see if this
fits together or if we have to distinguish the modes. Let it evolve and
adapt it on demand.


2. cmd line help

###
OpenOffice.org 3.5  350m1(Build:9610)

Usage: soffice [options] [documents...]

Options:

-minimized      keep startup bitmap minimized.
-invisible      no startup screen, no default document and no UI.
-norestore      suppress restart/restore after fatal errors.
-quickstart     starts the quickstart service (only available on windows
and OS/2 platform)
-nologo         don't show startup screen.
-nolockcheck    don't check for remote instances using the installation
-nodefault      don't start with an empty document
-headless       like invisible but no userinteraction at all.
*-conversionmode enable further optimization for document conversion,*
includes enabled headless mode.
-help/-h/-?     show this message and exit.
-writer         create new text document.
...
###

3. usage in the code

Similar to handling the headless mode. The Application class in vcl gets
2 new member functions.

static void Application::EnableConversionMode(bool bEnableConv = true);
static bool Application::IsConversionModeEnabled();

And the desktop::CommandLineArgs class get also a new member

sal_Bool desktop::CommandLineArgs::IsConversionMode() const;
Comment 5 SVN Robot 2012-09-12 08:31:07 UTC
"jsc" committed SVN revision 1383844 into trunk:
#120683# add new cmd line arg -conversionmode to enavle further optimizationP...
Comment 6 Shenfeng Liu 2012-10-10 07:22:14 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.